package com.yihu.wlyy.entity.follow;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.Table;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.wlyy.entity.IdEntity;

/**
 * 问卷随访问题选项定义表
 * @author George
 *
 */
@Entity
@Table(name = "wlyy_followup_question_option")
public class FollowUpQuestionOption extends IdEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = -4964102972826887666L;

	// 随访项标识
	private String question;
	// 选项描述
	private String des;
	// 添加时间
	private Date czrq;
	// 作废标识：1正常，0作废
	private String del;

	public String getQuestion() {
		return question;
	}

	public void setQuestion(String question) {
		this.question = question;
	}

	public String getDes() {
		return des;
	}

	public void setDes(String des) {
		this.des = des;
	}

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	public Date getCzrq() {
		return czrq;
	}

	public void setCzrq(Date czrq) {
		this.czrq = czrq;
	}

	public String getDel() {
		return del;
	}

	public void setDel(String del) {
		this.del = del;
	}

}
